using System;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace CSSamples.Samples
{
    public partial class AddAContextMenu : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-125, 72, 50, -46);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                WorldMapKitWmsWebOverlay worldMapKitOverlay = new WorldMapKitWmsWebOverlay();
                Map1.CustomOverlays.Add(worldMapKitOverlay);

                ContextMenu menuOnMap = new ContextMenu("area", 100);
                ContextMenuItem item1 = new ContextMenuItem("MenuItem1");
                item1.MenuItems.Add(new ContextMenuItem("subMenuItem"));
                menuOnMap.MenuItems.Add(item1);

                InMemoryFeatureLayer squareShape = new InMemoryFeatureLayer();
                squareShape.InternalFeatures.Add("Rectangle", new Feature(new RectangleShape(-90, 60, 40, -70)));
                squareShape.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                squareShape.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1;

                LayerOverlay staticOverlay = new LayerOverlay();
                staticOverlay.IsBaseOverlay = false;
                staticOverlay.Layers.Add(squareShape);

                Map1.ContextMenu = menuOnMap;
                Map1.CustomOverlays.Add(staticOverlay);
            }
        }
    }
}
